<style>
      table {
            width: 100% !important;
        }
        .danger{
        background-color:#f44336 !important;
      }

      #products > .center > .header .search-wrapper {
	width: 100%;
	max-width: 480px;
  background-color: #ffffff;
	border-radius: 28px;
	overflow: hidden;
	box-shadow: 0px 2px 1px -1px rgba(0, 0, 0, 0.2), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);
}
#products > .center > .header .search-wrapper .search input {
	width: 100%;
	height: 48px;
	min-height: 48px;
	max-height: 48px;
	padding: 0 16px;
	border: none;
	outline: none;
}

.header .search-wrapper .search .mat-icon {
	color: rgba(0, 0, 0, 0.54);
}
.mat-icon {
	background-repeat: no-repeat;
	display: inline-block;
	fill: currentColor;
	height: 24px;
	width: 24px;
}
.mat-icon {
	font-weight: 400 !important;
	line-height: 1;
}
</style>
<div id="products" class="page-layout carded fullwidth">

    <!-- TOP BACKGROUND -->
    <div class="top-bg accent"></div>
    <!-- / TOP BACKGROUND -->

    <!-- CENTER -->
    <div class="center">

        <!-- HEADER -->
        <div class="header accent"
             fxLayout="column" fxLayoutAlign="center center"
             fxLayout.gt-sm="row" fxLayoutAlign.gt-sm="space-between center">

            <!-- APP TITLE -->
            <div class="logo mb-24 mb-md-0"
                 fxLayout="row" fxLayoutAlign="start center">
                <mat-icon class="logo-icon s-32 mr-16" [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">
                    person
                </mat-icon>
                <span class="logo-text h1" [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">
                    {{title}}
                </span>
            </div>
            <!-- / APP TITLE -->

            <!-- SEARCH -->
            <div class="search-wrapper mx-32 mx-md-0">

                <div class="search" fxFlex fxLayout="row" fxLayoutAlign="start center">
                    <mat-icon>search</mat-icon>
                    <input (keyup)="doFilter($event.target.value)" placeholder="Search for a user">
                </div>
            </div>
            <!-- / SEARCH -->
            &nbsp;
            <!-- ADD BUTTON -->
            <button mat-raised-button
                    [routerLink]="'/apps/admin/Create-User'"
                    class="add-product-button fuse-white mt-24 mt-md-0">
                <span>ADD NEW USER</span>
            </button>
            <!-- / ADD BUTTON -->

        </div>
        <!-- / HEADER -->

        <!-- CONTENT CARD -->
        <div class="content-card">

          <mat-card *ngIf="isLoading" 
          style="display: flex; justify-content: center; align-items: center">
         <mat-progress-spinner 
           color="primary" 
           mode="indeterminate">
         </mat-progress-spinner>
       </mat-card> 
       <div fusePerfectScrollbar>
            <table mat-table *ngIf="!isLoading"  [dataSource]="dataSource" class="products-table mat-elevation-z8"  [@animateStagger]="{value:'50'}"
            fusePerfectScrollbar>

                <!--- Note that these columns can be defined in any order.
                      The actual rendered columns are set as a property on the row definition" -->
              
                <!-- Position Column -->
                <!--- Note that these columns can be defined in any order.
        The actual rendered columns are set as a property on the row definition" -->

        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef> #  &nbsp;  &nbsp;&nbsp; </th>
            <!-- <td mat-cell *matCellDef="let element; let i = index;">  {{element.id}} </td> -->
            <td mat-cell *matCellDef="let element; let i = index;">  {{ (paginatorRef.pageIndex * paginatorRef.pageSize) + (i + 1) }}</td>
          </ng-container>
        

        <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef> Name &nbsp;&nbsp; </th>
            <td mat-cell *matCellDef="let element"> {{element.first_name}} {{element.last_name}} </td>
        
          </ng-container>
        
          <!-- Weight Column -->
          <ng-container matColumnDef="email">
            <th mat-header-cell *matHeaderCellDef>Email &nbsp;&nbsp; </th>
            <td mat-cell *matCellDef="let element"> {{element.email}} </td>
          </ng-container>
        
       

          <ng-container matColumnDef="role">
            <th mat-header-cell *matHeaderCellDef>Role &nbsp;&nbsp; </th>
            <td mat-cell *matCellDef="let element"> {{element.role}} </td>
          </ng-container>
          <!-- <ng-container matColumnDef="status">
            <th mat-header-cell *matHeaderCellDef> status </th>
            <td mat-cell *matCellDef="let element">
                <p *ngIf="element.status==1" class="green-300">Active</p>
                <p *ngIf="element.status==0" class="red-300">Inactive</p>
                &nbsp; &nbsp; &nbsp;
            </td>
          </ng-container> -->
          <ng-container matColumnDef="action">
            <th mat-header-cell *matHeaderCellDef>Action  </th>
            <td mat-cell *matCellDef="let element">
              <button mat-raised-button (click)="onStatusChange(element.id,1)"  *ngIf="element.status==0"   color="green" class="success" mat-icon-button data-toggle="tooltip" title="Activate"> <mat-icon>done</mat-icon></button> 
              <button mat-raised-button (click)="onStatusChange(element.id,0)"  *ngIf="element.status==1"   color="accent" class="danger" mat-icon-button data-toggle="tooltip" title="Deactivate"> <mat-icon>clear</mat-icon></button> 

                <button [routerLink]="['/apps/admin/edit-User', element.id]"  mat-raised-button color="accent" mat-icon-button data-toggle="tooltip" title="Edit"> <mat-icon>edit</mat-icon></button>
                <button (click)="onDelete(element.id)" mat-raised-button  color="accent" class="danger" mat-icon-button data-toggle="tooltip" title="Delete"> <mat-icon>delete</mat-icon></button> 
              <!-- <button mat-raised-button (click)="onStatusChange(element.id,1)"  *ngIf="element.status==0"   color="green" class="success"> Active</button> 
              <button mat-raised-button (click)="onStatusChange(element.id,0)"  *ngIf="element.status==1"   color="accent" class="danger"> Inactive</button> 

                <a [routerLink]="['/apps/admin/edit-User', element.id]" mat-raised-button color="accent"> Edit</a>
                <button (click)="onDelete(element.id)" mat-raised-button  color="accent" class="danger"> Delete</button>  -->
              </td>
          </ng-container>
              
                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
              </table>
              <center *ngIf="!isLoading && dataSource.filteredData.length == 0">No Records Found!</center>
              <mat-paginator #paginatorRef [length]="10" [pageSize]="10" [pageSizeOptions]="[10,20,30,40,50]"></mat-paginator>
          </div>

              <!-- <mat-paginator [pageSize]="2" [pageSizeOptions]="[2, 4, 6, 10, 20]">
              </mat-paginator> -->


        </div>
        <!-- / CONTENT CARD -->
    </div>
    <!-- / CENTER -->
</div>
